Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000015OpenIVGeneralpublic2011-02-25 13:512011-04-19 16:25
ReporterVcSaJen 
Assigned ToGooD-NTS 
PrioritynormalSeverityminorReproducibilityrandom
StatusclosedResolutionfixed 
PlatformOLD PCOSWindows XP (x32)OS Version5.1.2600
Product Version0.9.1 (build 235) 
Target Version0.9.1 (build 240)Fixed in Version0.9.1 (build 240) 
Summary0000015: Unexpected behavior when trying create/add folders/files in "Game content" archive
DescriptionНевозможно создать папку с помощью OpenIV.
Если создать папку в Проводнике, то чтобы увидеть папку, потребуется перезапустить OpenIV.
Additional InformationХотелось бы:
1) Кнопку "Обновить"
2) Автоматическое обновление
TagsNo tags attached.
GameGTA IV
Attached Files

- Relationships

-  Notes
(0000010)
GooD-NTS (administrator)
2011-03-01 11:21

В реально там глюк с созданием (и добавлением) папок/файлов в "архиве" Game Content, собственно связано это с моими ошибками в моих же "виртуальных" папках.
К релизу постараюсь все исправить.

Обновление будь-то автоматическое или ручное занимает много времени. (Во время запуска OpenIV большую часть времени занимает именно Loading game content). Хотя есть такой "прикол" как: закрыть архив "Game content" и открыть его заново: Game->Open content
(0000011)
VcSaJen (reporter)
2011-03-02 04:44

>>Обновление будь-то автоматическое или ручное занимает много времени.
Можно не загружать сразу всё дерево папок и файлов, а потом подгружать их при раскрытии, как это сделано в проводнике и в RegEdit. Работают они быстро.
(0000012)
GooD-NTS (administrator)
2011-03-02 08:19

OpenIV это все же изначально редактор архивов, и поэтому когда пришлось делать такую функциональность я просто сделай новый тип архива. Сначала вся папка игры сканируется по заданным правилам, и потом со всем этим добром OpenIV работает как с обычным архивом. Т.е. такое поведение как ты предложил не заложено в архитектуре изначально.

- Issue History
Date Modified Username Field Change
2011-02-25 13:51 VcSaJen New Issue
2011-02-25 13:51 VcSaJen Status new => assigned
2011-02-25 13:51 VcSaJen Assigned To => GooD-NTS
2011-03-01 11:21 GooD-NTS Note Added: 0000010
2011-03-01 11:21 GooD-NTS Status assigned => confirmed
2011-03-01 11:22 GooD-NTS Severity feature => minor
2011-03-01 11:22 GooD-NTS Reproducibility N/A => random
2011-03-01 11:22 GooD-NTS Target Version => 0.9.1 (build 240)
2011-03-01 12:35 GooD-NTS Summary Создание/Обновление папок => Unexpected behavior when trying create/add folders/files in "Game content" archive
2011-03-02 04:44 VcSaJen Note Added: 0000011
2011-03-02 08:19 GooD-NTS Note Added: 0000012
2011-03-07 09:55 GooD-NTS Status confirmed => closed
2011-03-07 09:55 GooD-NTS Resolution open => fixed
2011-03-07 09:55 GooD-NTS Fixed in Version => 0.9.1 (build 240)
2011-04-19 16:25 mergim1234 Issue Monitored: mergim1234
2014-06-09 09:34 GooD-NTS Category General (Общая) => General


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker